## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           qalculate-qt
Summary:        A multi-purpose desktop calculator for GNU/Linux
Version:        3.22.0
Release:        %autorelease

# The entire source is GPL-2.0-or-later, except:
#   - data/io.github.Qalculate.qalculate-qt.metainfo.xml is CC0-1.0, which is
#     allowed for content only
License:        GPL-2.0-or-later AND CC0-1.0
URL:            https://qalculate.github.io/
# Some differences between the autogenerated tarballs and release tarballs
# https://github.com/Qalculate/qalculate-qt/issues/121
Source0:        https://github.com/Qalculate/qalculate-qt/archive/v%{version}/qalculate-qt-%{version}.tar.gz

# Change AppStream ID to a reverse-DNS identifier
# https://github.com/Qalculate/qalculate-qt/pull/40
# Rebased to 3.22.0
Patch:          qalculate-qt-3.22.0-pr-40.patch

%global app_id io.github.Qalculate.qalculate-qt

BuildRequires:  gcc-c++

BuildRequires:  make
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-linguist

BuildRequires:  pkgconfig(libqalculate)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)

BuildRequires:  desktop-file-utils
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
BuildRequires:  libappstream-glib
# Matches what gnome-software and others use:
BuildRequires:  appstream

# For %%{_datadir}/icons/hicolor and its subdirectories:
Requires:       hicolor-icon-theme

%description
Qalculate! is a multi-purpose cross-platform desktop calculator. It is simple
to use but provides power and versatility normally reserved for complicated
math packages, as well as useful tools for everyday needs (such as currency
conversion and percent calculation). Features include a large library of
customizable functions, unit calculations and conversion, symbolic calculations
(including integrals and equations), arbitrary precision, uncertainty
propagation, interval arithmetic, plotting, and a user-friendly interface.

This package provides a Qt graphical interface for Qalculate! 


%prep
%autosetup -p1


%build
%set_build_flags
%qmake_qt6 \
    PREFIX='%{_prefix}' \
    DESKTOP_DIR='%{_datadir}/applications' \
    DESKTOP_ICONS_DIR='%{_datadir}/icons' \
    APPDATA_DIR='%{_metainfodir}' \
    MAN_DIR='%{_mandir}'
%make_build


%install
%make_install INSTALL_ROOT='%{buildroot}'

%find_lang qalculate-qt --with-qt


%check
desktop-file-validate '%{buildroot}%{_datadir}/applications/%{app_id}.desktop'
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
appstream-util validate-relax --nonet \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'
# Matches what gnome-software and others use:
appstreamcli validate --nonet \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'


%files -f qalculate-qt.lang
# See: https://github.com/Qalculate/qalculate-qt/pull/41
# “Fix obsolete FSF postal address in COPYING file”
# …but note that we cannot adjust the license file text downstream; see:
# https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
%license COPYING
%doc AUTHORS
%doc README

%{_bindir}/qalculate-qt
%{_mandir}/man1/qalculate-qt.1*

%{_datadir}/icons/hicolor/*/*/qalculate*

%{_datadir}/applications/%{app_id}.desktop
%{_metainfodir}/%{app_id}.metainfo.xml

%dir %{_datadir}/qalculate-qt
# See qalculate-qt.lang for the files in this directory:
%dir %{_datadir}/qalculate-qt/translations


%changelog
## START: Generated by rpmautospec
* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.22.0-3
- Use the autogenerated archive instead of the “release” archive

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.22.0-2
- Update License to SPDX

* Fri Apr 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.22.0-1
- Backport to EPEL9

* Fri Apr 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.1-1
- Initial package (close RHBZ#2073772)
## END: Generated by rpmautospec
